.col-5item {
    > * {
        width: calc((100% - 41px) / 5);
        margin-top: 10px;
        margin-right: 10px;

        &:nth-child(1),
        &:nth-child(2),
        &:nth-child(3),
        &:nth-child(4),
        &:nth-child(5) {
            margin-top: 0;
        }

        &:nth-child(5n) {
            margin-right: 0;
        }
    }
}

.col-4item {
    > * {
        width: calc((100% - 61px) / 4);
        margin-top: 20px;
        margin-right: 20px;

        &:nth-child(1),
        &:nth-child(2),
        &:nth-child(3),
        &:nth-child(4) {
            margin-top: 0;
        }

        &:nth-child(4n) {
            margin-right: 0;
        }
    }
}

.col-3item {
    > * {
        width: calc((100% - 41px) / 3);
        margin-right: 20px;
        margin-top: 20px;

        &:nth-child(1),
        &:nth-child(2),
        &:nth-child(3) {
            margin-top: 0;
        }

        &:nth-child(3n) {
            margin-right: 0
        }
    }
}

.col-2item {
    > * {
        width: calc(50% - 26px);
        margin-right: 25px;
        margin-top: 50px;

        &:nth-child(1),
        &:nth-child(2) {
            margin-top: 0;
        }

        &:nth-child(2n) {
            margin-right: 0;
            margin-left: 25px;
        }
    }
}

@media screen and (min-width: 1920px) {
}

@media screen and (min-width: 1200px) {
    /*#region index*/
    /*#endregion*/
}

@media screen and (max-width: 1280px) {
}

@media screen and (max-width: 1024px) {
    .col-5item {
        > * {
            width: calc((100% - 41px) / 3);
            margin-top: 20px;
            margin-right: 20px;

            &:nth-child(1),
            &:nth-child(2),
            &:nth-child(3),
            {
                margin-top: 0;
            }

            &:nth-child(4),
            &:nth-child(5) {
                margin-top: 20px;
            }

            &:nth-child(5n) {
                margin-right: 20px;
            }

            &:nth-child(3n) {
                margin-right: 0;
            }
        }
    }

    .col-4item {
        > * {
            width: calc((100% - 46px) / 4);
            margin-top: 15px;
            margin-right: 15px;

            &:nth-child(1),
            &:nth-child(2),
            &:nth-child(3),
            &:nth-child(4) {
                margin-top: 0;
            }

            &:nth-child(4n) {
                margin-right: 0;
            }
        }
    }

    .col-sm-8 {
        .col-2item {
            > * {
                width: calc(50% - 16px);
                margin-right: 15px;
                margin-top: 30px;

                &:nth-child(1),
                &:nth-child(2) {
                    margin-top: 0;
                }

                &:nth-child(2n) {
                    margin-right: 0;
                    margin-left: 15px;
                }
            }
        }

        .col-3item {
            > * {
                width: calc(50% - 16px);
                margin-right: 15px;
                margin-left: 0;
                margin-top: 30px;

                &:nth-child(3) {
                    margin-top: 30px;
                }

                &:nth-child(3n) {
                    margin-left: 15px;
                    margin-right: 15px;
                }

                &:nth-child(2n + 1) {
                    margin-right: 15px;
                    margin-left: 0;
                }

                &:nth-child(2n) {
                    margin-left: 15px;
                    margin-right: 0;
                }
            }
        }
    }
}

@media screen and (max-width: 980px) {
}

@media screen and (max-width: 768px) {
    .col-4item {
        > * {
            width: calc((100% - 21px) / 3);
            margin-right: 10px;
            margin-top: 10px;

            &:nth-child(4) {
                margin-top: 10px;
            }

            &:nth-child(4n) {
                margin-right: 10px;
                // margin-left: 10px;
            }
            // &:nth-child(3n + 1) {
            //     margin-left: 0;
            // }
            &:nth-child(3n) {
                margin-right: 0;
            }
        }
    }

    .col-3item {
        > * {
            width: calc((100% - 21px) / 3);
            margin-right: 10px;
            margin-top: 10px;

            &:nth-child(1),
            &:nth-child(2),
            &:nth-child(3) {
                margin-top: 0;
            }

            &:nth-child(3n) {
                margin-right: 0;
            }
        }
    }

    .col-sm-8 {
        .col-2item {
            > * {
                width: calc(50% - 6px);
                margin-right: 5px;
                margin-top: 10px;

                &:nth-child(2n) {
                    margin-right: 0;
                    margin-left: 5px;
                }
            }
        }

        .col-3item {
            > * {
                width: calc(50% - 6px);
                margin-right: 5px;
                margin-left: 0;
                margin-top: 10px;

                &:nth-child(3) {
                    margin-top: 10px;
                }

                &:nth-child(3n) {
                    margin-left: 5px;
                    margin-right: 5px;
                }

                &:nth-child(2n + 1) {
                    margin-right: 5px;
                    margin-left: 0;
                }

                &:nth-child(2n) {
                    margin-left: 5px;
                    margin-right: 0;
                }
            }
        }
    }
}

@media screen and (max-width: 650px) {
}

@media screen and (max-width: 450px) {
    // .col-4item {
    //     >* {
    //         width: calc(50% - 6px);
    //         margin-right: 5px;
    //         margin-left: 0;
    //         margin-top: 10px;

    //         &:nth-child(3),
    //         &:nth-child(4) {
    //             margin-top: 10px;
    //         }

    //         &:nth-child(3n),
    //         &:nth-child(4n) {
    //             margin-left: 5px;
    //             margin-right: 5px;
    //         }

    //         &:nth-child(2n + 1) {
    //             margin-left: 0;
    //             margin-right: 5px;
    //         }

    //         &:nth-child(2n) {
    //             margin-left: 5px;
    //             margin-right: 0;
    //         }
    //     }
    // }

    // .col-3item {
    //     >* {
    //         width: calc(50% - 6px);
    //         margin-right: 5px;
    //         margin-left: 0;
    //         margin-top: 10px;

    //         &:nth-child(3) {
    //             margin-top: 10px;
    //         }

    //         &:nth-child(3n) {
    //             margin-left: 5px;
    //             margin-right: 5px;
    //         }

    //         &:nth-child(2n + 1) {
    //             margin-right: 5px;
    //             margin-left: 0;
    //         }

    //         &:nth-child(2n) {
    //             margin-left: 5px;
    //             margin-right: 0;
    //         }
    //     }
    // }

    // .col-2item {
    //     >* {
    //         width: calc(50% - 6px);
    //         margin-right: 5px;
    //         margin-top: 10px;

    //         &:nth-child(2n) {
    //             margin-right: 0;
    //             margin-left: 5px;
    //         }
    //     }
    // }
    .col-5item {
        > * {
            width: calc(50% - 6px);
            margin-top: 0px;
            margin-right: 10px;

            &:nth-child(3n) {
                margin-right: 10px;
            }

            &:nth-child(2n) {
                margin-right: 0px;
            }

            &:nth-child(9) {
                margin-right: 10px;
            }

            &:nth-child(1), &:nth-child(4), &:nth-child(5) {
                margin-top: 0px;
            }

            &:nth-child(3),
            &:nth-child(5) {
                margin-right: 10px;
            }

            &:nth-child(3) {
                margin-top: 0px;
            }
            // &:nth-child(5n) {
            //     margin-right: 10px;
            // }
            // &:nth-child(3n) {
            //     margin-right: 10px;
            // }
        }
    }

    .col-4item {
        > * {
            width: 100%;
            margin-right: 0;
            margin-left: 0;
            margin-top: 15px;

            &:nth-child(2) &:nth-child(3),
            &:nth-child(4) {
                margin-top: 15px;
            }

            &:nth-child(3n),
            &:nth-child(4n) {
                margin-left: 0;
                margin-right: 0;
            }

            &:nth-child(2n + 1) {
                margin-left: 0;
                margin-right: 0;
            }

            &:nth-child(2n) {
                margin-left: 0;
                margin-right: 0;
            }
        }
    }

    .col-3item {
        > * {
            width: 100%;
            margin-right: 0;
            margin-left: 0;
            margin-top: 15px;

            &:nth-child(2),
            &:nth-child(3) {
                margin-top: 15px;
            }

            &:nth-child(3n) {
                margin-left: 0;
                margin-right: 0;
            }

            &:nth-child(2n + 1) {
                margin-right: 0;
                margin-left: 0;
            }

            &:nth-child(2n) {
                margin-left: 0;
                margin-right: 0;
            }
        }
    }

    .col-2item {
        > * {
            width: 100%;
            margin-right: 0;
            margin-top: 15px;

            &:nth-child(2) {
                margin-top: 15px;
            }

            &:nth-child(2n) {
                margin-right: 0;
                margin-left: 0;
            }
        }
    }

    .col-sm-8 {
        .col-4item {
            > * {
                width: 100%;
                margin-right: 0;
                margin-left: 0;
                margin-top: 15px;

                &:nth-child(2) &:nth-child(3),
                &:nth-child(4) {
                    margin-top: 15px;
                }

                &:nth-child(3n),
                &:nth-child(4n) {
                    margin-left: 0;
                    margin-right: 0;
                }

                &:nth-child(2n + 1) {
                    margin-left: 0;
                    margin-right: 0;
                }

                &:nth-child(2n) {
                    margin-left: 0;
                    margin-right: 0;
                }
            }
        }

        .col-3item {
            > * {
                width: 100%;
                margin-right: 0;
                margin-left: 0;
                margin-top: 15px;

                &:nth-child(2),
                &:nth-child(3) {
                    margin-top: 15px;
                }

                &:nth-child(3n) {
                    margin-left: 0;
                    margin-right: 0;
                }

                &:nth-child(2n + 1) {
                    margin-right: 0;
                    margin-left: 0;
                }

                &:nth-child(2n) {
                    margin-left: 0;
                    margin-right: 0;
                }
            }
        }

        .col-2item {
            > * {
                width: 100%;
                margin-right: 0;
                margin-top: 15px;

                &:nth-child(2) {
                    margin-top: 15px;
                }

                &:nth-child(2n) {
                    margin-right: 0;
                    margin-left: 0;
                }
            }
        }
    }
}

@media screen and (max-width: 375px) {
}

@media screen and (max-width: 360px) {
    /*#region product*/
    /*#endregion*/
}

@media screen and (max-width: 320px) {
}

/*------------------------------------*\
  STYLE FIX ALL BROWSER
\*------------------------------------*/

/*#region firefox*/
@-moz-document url-prefix() {
    /*Code is here*/
}

/*#endregion*/

/*#region ie*/
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
    @media screen and (min-width: 1280) {
        .col-5item > * {
            width: calc((100% - 41px) / 5);
        }

        .col-4item > * {
            width: calc((100% - 61px) / 4);
        }

        .col-3item > * {
            width: calc((100% - 41px) / 3);
        }
    }
}

/*#endregion*/

/*#region safari*/
@media not all and (min-resolution:.001dpcm) {
    @supports (-webkit-appearance: none) {
        @media screen and (max-width: 450px) {
        }
    }
}

/*#endregion*/
